
Website Input - Bug #1609

Firefox no longer works

11/19/2016 07:24 PM - Luke Murphey

Status: Closed Start date: 11/19/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category: Input: Web Spider Estimated time: 0.00 hour

Target version: 4.0   

Description

See https://developer.mozilla.org/en-US/docs/Mozilla/QA/Marionette/WebDriver

History

#1 - 11/19/2016 07:31 PM - Luke Murphey

Apparently, you need to install these executables on the path to get this to work: https://github.com/mozilla/geckodriver/releases.

Might want to try updating to Selenium 3.0: http://www.seleniumhq.org/download/

#2 - 11/19/2016 07:33 PM - Luke Murphey

Here is something that worked.

1. Download selenium 3.0.1: https://pypi.python.org/pypi/selenium

2. Deploy client in same directory as script: https://github.com/mozilla/geckodriver/releases

3. Update page to include local directory

from selenium import webdriver

import os

os.environ["PATH"] += os.pathsep + "." 

browser = webdriver.Firefox()

browser.get('http://seleniumhq.org/')

#3 - 11/19/2016 11:39 PM - Luke Murphey

- Subject changed from Firefox longer works to Firefox no longer works

#4 - 11/20/2016 02:52 AM - Luke Murphey

Will need to use sys.platform to determine platform. platform.architecture() will indicate whether the host is 32-bit or 64-bit.

#5 - 11/22/2016 02:10 AM - Luke Murphey

Here is a test script. This works.

import os

from selenium import webdriver

new_path = os.path.join(os.getcwd(), "browser_drivers", "darwin")

print new_path

os.environ["PATH"] += ":" + new_path

browser = webdriver.Firefox()

05/03/2024 1/2

https://developer.mozilla.org/en-US/docs/Mozilla/QA/Marionette/WebDriver
https://github.com/mozilla/geckodriver/releases
http://www.seleniumhq.org/download/
https://pypi.python.org/pypi/selenium
https://github.com/mozilla/geckodriver/releases


browser.get('http://seleniumhq.org/')

#6 - 11/22/2016 02:12 AM - Luke Murphey

This is failing when the script is run within Splunk. This is because it is running from the root directory and the drivers can't write the log file in this

directory.

#7 - 11/22/2016 02:14 AM - Luke Murphey

Some options for this:

1. Run selenium extraction code from another process with a different working directory

2. Get selenium to make the logs in a different location

#8 - 11/22/2016 02:23 AM - Luke Murphey

Changing the path should be possible per 

https://github.com/SeleniumHQ/selenium/pull/2700/commits/95f5ef23bb454b9a02274fe4d41fe03e014e704c

#9 - 11/22/2016 02:43 AM - Luke Murphey

Need to make sure that the binary is set to executable when it is packaged.

#10 - 11/22/2016 08:09 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
